#!/bin/sh

set -e

TAG=$(git describe --abbrev=0 --tags | sed 's/v//')

echo "Building v${TAG}..."
mvn -q clean package

TARGET="cbs-perf-test-${TAG}.tgz"
echo "Creating archive: ${TARGET}"
tar --transform 's/.*\///g' -czf "${TARGET}" etc/dev/application.properties master/run.sh FOCES_gyldig.p12 unitteststs-nbo.keystore runner/target/testdriver.jar
