package dk.nsp.cbs.perf.stub;

import java.util.UUID;

/**
 * @author jns, Arosii Information Systems A/S
 */
public class JobPlacementService {
  private final NasServer nasServer;

  public JobPlacementService(NasServer nasServer) {
    this.nasServer = nasServer;
  }

  public String createJob(String cpr) {
    final String uuid = UUID.randomUUID().toString();
    nasServer.push(uuid, cpr);
    return uuid;
  }
}
