package dk.nsp.cbs.perf.stub;

import java.io.IOException;
import java.nio.file.Files;
import java.nio.file.Path;
import java.nio.file.Paths;
import java.util.stream.Collectors;
import java.util.stream.IntStream;

/**
 * @author jns, Arosii Information Systems A/S
 */
public class MakeCpr {
  public static void main(String[] args) throws IOException {
    Path p = Files.createFile(Paths.get(".").resolve("cpr.txt"));
    Files.write(p, IntStream.range(0, 3000000)
        .map(operand -> operand + 1101010000)
        .mapToObj(Integer::toString)
        .collect(Collectors.toList()));
  }
}
